"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MergeCommand_1 = require("./gtfs/MergeCommand");
const GTFSLoader_1 = require("./gtfs/GTFSLoader");
const GTFSOutputFactory_1 = require("./gtfs/GTFSOutputFactory");
const CalendarFactory_1 = require("./gtfs/calendar/CalendarFactory");
const ZipOutput_1 = require("./zip/ZipOutput");
const cheapRuler = require("cheap-ruler");
class Container {
    getMergeCommand(tempFolder, transferDistance) {
        return new MergeCommand_1.MergeCommand(new GTFSLoader_1.GTFSLoader(GTFSLoader_1.gtfsStreamFactory), new GTFSOutputFactory_1.GTFSOutputFactory(new CalendarFactory_1.CalendarFactory(), tempFolder, cheapRuler(46), transferDistance), new ZipOutput_1.ZipOutput(tempFolder));
    }
}
exports.Container = Container;
