/// <reference types="node" />
import { Agency, Calendar, CalendarDate, Route, ServiceID, Stop, StopID, StopTime, Transfer, Trip } from "./GTFS";
import { Readable, Transform } from "stream";
/**
 * Returns trips, transfers, interchange time and calendars from a GTFS zip.
 */
export declare class GTFSLoader {
    private readonly gtfsStream;
    constructor(gtfsStream: () => Transform);
    /**
     * Create a mutable loader then add each row until the end of the stream is reached
     */
    load(file: Readable, stopPrefix?: string, filterBefore?: string): Promise<GTFSZip>;
}
export interface GTFSZip {
    trips: Trip[];
    transfers: Transfer[];
    calendars: Calendar[];
    calendarDates: Record<ServiceID, CalendarDate[]>;
    stopTimes: StopTime[];
    routes: Route[];
    agencies: Agency[];
    stops: Stop[];
    parentStops: Record<StopID, StopID>;
}
export declare const gtfsStreamFactory: () => any;
