import { GTFSZip } from "./GTFSLoader";
import { CalendarMerger } from "./merger/CalendarMerger";
import { StopsAndTransfersMerger } from "./merger/StopsAndTransfersMerger";
import { StopTimesMerger } from "./merger/StopTimesMerger";
import { TripsMerger } from "./merger/TripsMerger";
import { GenericMerger } from "./merger/GenericMerger";
/**
 * Merges multiple GTFS sets into a single stream for each GTFS file (stops.txt etc)
 */
export declare class GTFSOutput {
    private readonly calendar;
    private readonly stopsAndTransfers;
    private readonly stopTimes;
    private readonly trips;
    private readonly agencies;
    private readonly routes;
    constructor(calendar: CalendarMerger, stopsAndTransfers: StopsAndTransfersMerger, stopTimes: StopTimesMerger, trips: TripsMerger, agencies: GenericMerger, routes: GenericMerger);
    /**
     * Merge in the given GTFS data set and push the new items to the file streams.
     */
    write(gtfs: GTFSZip): Promise<void>;
    private writeCalendarsAndTrips;
    end(): Promise<void>;
}
