import { GTFSLoader } from "./GTFSLoader";
import { GTFSOutputFactory } from "./GTFSOutputFactory";
import { ZipOutput } from "../zip/ZipOutput";
/**
 * Merges a list of input GTFS files into a single output file
 */
export declare class MergeCommand {
    private readonly gtfsLoader;
    private readonly outputFactory;
    private readonly zipOutput;
    constructor(gtfsLoader: GTFSLoader, outputFactory: GTFSOutputFactory, zipOutput: ZipOutput);
    /**
     * Iterate over the list of inputs loading and merging each one at a time.
     */
    run(inputs: string[], outputFile: string, stopPrefix: string, filterDatesBefore?: string): Promise<void>;
}
