import { Calendar, CalendarDate } from "../GTFS";
/**
 * Creates calendars based on a set of calendar dates.
 */
export declare class CalendarFactory {
    /**
     * Count the number of times a service runs or does not run on each day of the week and then decide whether to
     * create a calendar with that day enabled with exclude days when it is not running, or disabled with include
     * days when it is running.
     */
    create(serviceId: string, calendarDates: CalendarDate[]): [Calendar, CalendarDate[]];
    private splitCalendarDates;
    private indexCalendarDates;
    private getDateFromGTFSString;
    private createCalendar;
    /**
     * For each day of the week check if the service runs more often than not. If it does, return the exclude days as
     * the calendar will have the day set to 1, if not then return the include days.
     */
    private getCalendarDates;
}
