/// <reference types="node" />
import { CalendarFactory } from "../calendar/CalendarFactory";
import { Calendar, CalendarDate, ServiceID } from "../GTFS";
import { MemoizedSequence } from "../../sequence/MemoizedSequence";
import { Writable } from "stream";
export declare class CalendarMerger {
    private readonly calendar;
    private readonly calendarDates;
    private readonly calendarFactory;
    private readonly serviceIdSequence;
    constructor(calendar: Writable, calendarDates: Writable, calendarFactory: CalendarFactory, serviceIdSequence: MemoizedSequence);
    write(calendars: Calendar[], dateIndex: Record<ServiceID, CalendarDate[]>): Promise<ServiceIDMap>;
    private writeCalendar;
    private getCalendarHash;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void[]>;
}
export declare type ServiceIDMap = Record<number, number>;
