"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Pass the data through to the output stream
 */
class GenericMerger {
    constructor(stream) {
        this.stream = stream;
    }
    /**
     * Write all the given entries to the output stream
     */
    async write(items) {
        for (const item of items) {
            await this.push(item);
        }
    }
    push(data) {
        const writable = this.stream.write(data);
        if (!writable) {
            return new Promise(resolve => this.stream.once("drain", () => resolve()));
        }
    }
    /**
     * Flush all the data to the output stream
     */
    end() {
        return new Promise(resolve => this.stream.end(resolve));
    }
}
exports.GenericMerger = GenericMerger;
