/// <reference types="node" />
import { StopID, StopTime } from "../GTFS";
import { TripIDMap } from "./TripsMerger";
import { ParentStops } from "./StopsAndTransfersMerger";
import { Writable } from "stream";
export declare class StopTimesMerger {
    private readonly stopTimes;
    constructor(stopTimes: Writable);
    write(stopTimes: StopTime[], tripIdMap: TripIDMap, parentStops: ParentStops): Promise<UsedStops>;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void[]>;
}
export declare type UsedStops = Record<StopID, boolean>;
