"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class StopTimesMerger {
    constructor(stopTimes) {
        this.stopTimes = stopTimes;
    }
    async write(stopTimes, tripIdMap, parentStops) {
        const usedStops = {};
        for (const stopTime of stopTimes) {
            if (tripIdMap[stopTime.trip_id]) {
                stopTime.trip_id = tripIdMap[stopTime.trip_id];
                stopTime.stop_id = parentStops[stopTime.stop_id] || stopTime.stop_id;
                usedStops[stopTime.stop_id] = true;
                await this.push(stopTime);
            }
        }
        return usedStops;
    }
    push(data) {
        const writable = this.stopTimes.write(data);
        if (!writable) {
            return new Promise(resolve => this.stopTimes.once("drain", () => resolve()));
        }
    }
    /**
     * Flush all the data to the output stream
     */
    async end() {
        return new Promise(resolve => this.stopTimes.end(resolve));
    }
}
exports.StopTimesMerger = StopTimesMerger;
