/// <reference types="node" />
import { Stop, StopID, Transfer } from "../GTFS";
import { Writable } from "stream";
import { CheapRuler } from "cheap-ruler";
import { UsedStops } from "./StopTimesMerger";
export declare class StopsAndTransfersMerger {
    private readonly stops;
    private readonly transfers;
    private readonly ruler;
    private readonly transferDistance;
    private readonly stopLocations;
    constructor(stops: Writable, transfers: Writable, ruler: CheapRuler, transferDistance: number);
    /**
     * Write the transfers and return an index of all transfers, then write the stops
     * adding any missing transfers to stops that are within walking distance of each other
     */
    write(stops: Stop[], transfers: Transfer[], parentStops: ParentStops, usedStops: UsedStops): Promise<void>;
    private writeTransfers;
    private writeStops;
    /**
     * Search any stops we've seen to see if we can walk there
     */
    private addNearbyStops;
    private addTransfers;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void[]>;
}
export declare type ParentStops = Record<StopID, StopID>;
