/// <reference types="node" />
import { Trip } from "../GTFS";
import { ServiceIDMap } from "./CalendarMerger";
import { Writable } from "stream";
import { Sequence } from "../../sequence/Sequence";
export declare class TripsMerger {
    private readonly trips;
    private readonly sequence;
    constructor(trips: Writable, sequence: Sequence);
    write(trips: Trip[], serviceIdMap: ServiceIDMap): Promise<TripIDMap>;
    private push;
    /**
     * Flush all the data to the output stream
     */
    end(): Promise<void[]>;
}
export declare type TripIDMap = Record<string, number>;
