"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TripsMerger {
    constructor(trips, sequence) {
        this.trips = trips;
        this.sequence = sequence;
    }
    async write(trips, serviceIdMap) {
        const tripIdMap = {};
        for (const trip of trips) {
            if (serviceIdMap[trip.service_id]) {
                tripIdMap[trip.trip_id] = this.sequence.next();
                trip.trip_id = tripIdMap[trip.trip_id];
                trip.service_id = serviceIdMap[trip.service_id];
                await this.push(trip);
            }
        }
        return tripIdMap;
    }
    push(data) {
        const writable = this.trips.write(data);
        if (!writable) {
            return new Promise(resolve => this.trips.once("drain", () => resolve()));
        }
    }
    /**
     * Flush all the data to the output stream
     */
    async end() {
        return new Promise(resolve => this.trips.end(resolve));
    }
}
exports.TripsMerger = TripsMerger;
