"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = require("yargs");
const Container_1 = require("./Container");
const toGTFSDate_1 = require("./gtfs/calendar/toGTFSDate");
const args = yargs.argv;
const inputs = args._.slice(0, args._.length - 1);
const output = args._[args._.length - 1];
const transferDistance = args["extra-transfers"] === false ? 0 : (args["transfer-distance"] || 1.6);
const stopPrefix = args["stop-prefix"] || "";
const tempFolder = args["tmp"] || "/tmp/gtfsmerge/";
const filterBeforeDate = args["date-filter"] === false ? undefined : toGTFSDate_1.toGTFSDate(new Date());
const container = new Container_1.Container();
container
    .getMergeCommand(tempFolder, transferDistance)
    .run(inputs, output, stopPrefix, filterBeforeDate)
    .catch(e => console.error(e));
