"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Generates a sequence number for each unique hash
 */
class MemoizedSequence {
    constructor() {
        this.cache = {};
        this.current = 1;
    }
    /**
     * If the hash has already been seen return the ID that was given for it, if not
     * return a the next number in the sequence.
     */
    get(hash) {
        if (!this.haveSeen(hash)) {
            this.cache[hash] = this.current++;
        }
        return this.cache[hash];
    }
    /**
     * Check whether we've seen the given hash
     */
    haveSeen(hash) {
        return this.cache.hasOwnProperty(hash);
    }
}
exports.MemoizedSequence = MemoizedSequence;
